name: demand
description: A new Flutter project.

publish_to: 'none' # Remove this line if you wish to publish to pub.dev


version: 1.0.0+1

environment:
  sdk: '>=3.5.0'
  flutter: '>=3.24.0'

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.2
  shared_preferences: ^2.3.3
  flutter_bloc: ^8.1.3
  provider: ^6.0.5
  get_it: ^8.0.2
  dio: ^5.7.0
  freezed: ^2.5.2
  dartz: ^0.10.1
  url_launcher: ^6.2.6
  url_launcher_ios: ^6.3.1
  connectivity_plus: ^6.0.5
  flutter_isolate: ^2.0.4
  webview_flutter: ^4.8.0
  ftoast: ^2.0.0
  flutter_displaymode: ^0.6.0
  flutter_downloader: ^1.11.4
  path_provider: ^2.1.3
  permission_handler: ^11.0.1
  add_2_calendar: ^3.0.1
  bloc: ^8.1.4
  collection: ^1.18.0

  #ui
  intl: ^0.19.0
  flutter_screenutil: ^5.9.3
  pull_to_refresh: ^2.0.0
  google_fonts: ^6.2.1
  flutter_remix: ^0.0.3
  flutter_native_splash: ^2.2.19
  flutter_keyboard_visibility: ^6.0.0
  proste_indexed_stack: ^0.2.4
  flutter_svg: ^2.0.14
  carousel_slider: ^5.0.0
  smooth_page_indicator: ^1.1.0
  flutter_html: ^3.0.0-alpha.6
  zoom_pinch_overlay: ^1.4.1+3
  rotated_corner_decoration: ^2.1.0+1
  lottie: ^3.0.0
  flutter_speed_dial: ^7.0.0
  flutter_advanced_switch: ^3.0.1
  flutter_slidable: ^3.0.0
  swipe_to: ^1.0.2
  flutter_swipe_detector: ^2.0.0
  flutter_rating_bar: ^4.0.1
  auto_size_text: ^3.0.0
  grouped_list: ^6.0.0
  sms_autofill: ^2.3.1
  phone_text_field: ^0.0.6
  colornames: ^0.2.0
  jiffy: ^6.2.1
  readmore: ^3.0.0
  flutter_staggered_grid_view: ^0.7.0
  flutter_calendar_carousel: ^2.4.2
  easy_date_timeline: ^1.0.3
  freezed_annotation: ^2.4.4
  share_plus: ^10.1.1
  intl_phone_field: ^3.2.0
  payfast:
    git:
      url: https://github.com/Muhammadyunusxon/payfast_flutter.git


  #media:
  chewie: ^1.8.5
  photo_view: ^0.15.0
  file_picker: ^8.0.7
  image_picker: ^1.1.2
  video_player: ^2.9.2
  cached_network_image: ^3.4.1

  #maps:
  geolocator: ^13.0.1
  google_place:
    git:
      url: https://github.com/Muhammadyunusxon/google_place.git
  osm_nominatim: ^3.0.1
  google_maps_flutter: ^2.9.0
  map_launcher: ^3.5.0
  google_maps_cluster_manager: ^3.1.0

  #firebase:
  firebase_core: ^3.7.0
  firebase_auth: ^5.3.2
  cloud_firestore: ^5.4.4
  firebase_messaging: ^15.1.4
  firebase_dynamic_links: ^6.0.9

  #sign_in:
  google_sign_in: ^6.2.2
  sign_in_with_apple: ^6.1.3
  flutter_facebook_auth: ^7.1.1
  app_tracking_transparency: ^2.0.6


dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^5.0.0
  build_runner: ^2.4.9
  flutter_launcher_icons: ^0.14.1

flutter_icons:
  android: true
  ios: true
  remove_alpha_ios: true
  image_path: 'assets/images/app_logo.png'

flutter_native_splash:
  background_image: 'assets/images/splash.png'
  android_12:
  fullscreen: true

flutter:
  uses-material-design: true

  assets:
    - assets/images/
    - assets/svg/
    - assets/lottie/

